Overview
PUT
/personal/education/{id}personalUpdate education
Replace a record in education by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- institutionoptionalstring
- degreeoptionalstring
- fieldOfStudyoptionalstring
- startDateoptionalstring
- endDateoptionalstring?
- locationoptionalstring
- descriptionoptionalstring
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"institution": "string",
"degree": "string",
"fieldOfStudy": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string"
}Responses
200
education
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- institutionstring
- degreestring
- fieldOfStudystring
- startDatestring
- endDatestring?
- locationstring
- descriptionstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"institution": "string",
"degree": "string",
"fieldOfStudy": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/personal/education/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"institution": "string",
"degree": "string",
"fieldOfStudy": "string",
"startDate": "string",
"endDate": "string",
"location": "string",
"description": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/personal/education/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"institution\": \"string\",\n \"degree\": \"string\",\n \"fieldOfStudy\": \"string\",\n \"startDate\": \"string\",\n \"endDate\": \"string\",\n \"location\": \"string\",\n \"description\": \"string\"\n}",
});
const data = await res.json();